<?php
/**
 * @package Toolbox
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	
	<div class="comic-image">
	<?php 
		$the_title = get_the_title();
		$the_name = $post->post_name;
		$prev_page_name = ceo_get_adjacent_comic(true, true)->post_name;
		$next_page_name = ceo_get_adjacent_comic(false, true)->post_name;
		if (is_null ($prev_page_name)) {
			$prev_page_name="prev-chapter";
		}
		if (is_null ($next_page_name)) {
			$next_page_name="next-chapter";
		}
		echo "<a href='#$prev_page_name' class='rewind'>&lt;</a>";
		echo "<a href='#$next_page_name' class='ahead'>&gt;</a>";
	 ?>
		<?php
			echo "<a href='#$the_name' class='page-anchor' id='$the_name'></a>";
			echo preg_replace ('/.*(<img.*\/>)/', '$1', ceo_display_featured_image_comic('full'));
		?>
	</div>
	<div class="accordion" id="<?php echo $the_name; ?>-notes">

		<header class="entry-header">
			<div class="banner-ad">
				<?php global $ad_counter;
				$which_ad = $ad_counter+1;
				dynamic_sidebar( "archive-$which_ad" );
				?>
			</div>
			<?php if (( 'post' == get_post_type() ) | ( 'comic' == get_post_type() ) ) : ?>
			<?php toolbox_posted_on(); ?>
			<?php
				/* translators: used between list items, there is a space after the comma */
				$tags_list = get_the_tag_list( '', __( ', ', 'toolbox' ) );
				if ( $tags_list ) :
			?>tags:
			<span class="tag-links">
				<?php echo $tags_list; ?>
			</span>
			<?php endif; // End if $tags_list ?>
			<?php endif; ?>
			<!-- <h1 class="entry-title"><a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__( 'Permalink to %s', 'toolbox' ), the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark"><?php the_title(); ?></a></h1> -->
			<?php
				$content = get_the_content();
				if ( strlen ($content) > 0 ) {
					$content = apply_filters('the_content', $content);
					$content = str_replace(']]>', ']]&gt;', $content);
					echo "<div class='opener'><a href='#$the_name-notes'>Read the artist's notes for this page</a></div>";
				}
			?>
		</header><!-- .entry-header -->

		<?php if ( is_search() ) : // Only display Excerpts for Search ?>
		<div class="entry-summary">
			<?php the_excerpt(); ?>
		</div><!-- .entry-summary -->
		<?php else : ?>
		<div class="entry-content">
			<?php the_content( __( 'Continue reading <span class="meta-nav">&rarr;</span>', 'toolbox' ) ); ?>
			<?php wp_link_pages( array( 'before' => '<div class="page-link">' . __( 'Pages:', 'toolbox' ), 'after' => '</div>' ) ); ?>
		</div><!-- .entry-content -->
		<?php endif; ?>

	</div><?php // end accordion ?>


	<footer class="entry-meta">
		<?php if ( 'post' == get_post_type() ) : // Hide category and tag text for pages on Search ?>
			<?php
				/* translators: used between list items, there is a space after the comma */
				$categories_list = get_the_category_list( __( ', ', 'toolbox' ) );
				if ( $categories_list && toolbox_categorized_blog() ) :
			?>
			<span class="cat-links">
				<?php printf( __( 'Posted in %1$s', 'toolbox' ), $categories_list ); ?>
			</span>
			<span class="sep"> | </span>
			<?php endif; // End if categories ?>

		<?php endif; // End if 'post' == get_post_type() ?>
		<?php if ( comments_open() || ( '0' != get_comments_number() && ! comments_open() ) ) : ?>
		<span class="comments-link"><?php comments_popup_link( __( 'Leave a comment', 'toolbox' ), __( '1 Comment', 'toolbox' ), __( '% Comments', 'toolbox' ) ); ?></span>
		<span class="sep"> | </span>
		<?php endif; ?>

		<?php edit_post_link( __( 'Edit', 'toolbox' ), '<span class="edit-link">', '</span>' ); ?>
	</footer><!-- #entry-meta -->
</article><!-- #post-<?php the_ID(); ?> -->
