<?php

// i have my own sidebars
function rita_widgets_init() {
	register_sidebar( array(
		'name' => 'Top Navigation',
		'id' => 'sidebar-nav',
		'before_widget' => '<span >',
		'after_widget' => "</span>",
		'before_title' => '<h1 class="widget-title">',
		'after_title' => '</h1>',
	) );

	register_sidebar( array(
		'name' => 'Under Comic',
		'id' => 'under-comic',
		'before_widget' => '<div class="under-comic">',
		'after_widget' => "</div>",
		'before_title' => '<h1 class="widget-title">',
		'after_title' => '</h1>',
	) );
	
	register_sidebar( array(
		'name' => 'Footer',
		'id' => 'footer',
		'before_widget' => '',
		'after_widget' => "",
		'before_title' => '<h1 class="widget-title">',
		'after_title' => '</h1>',
	) );
	
	register_sidebar( array(
		'name' => 'archive banner 1 ',
		'id' => 'archive-1',
		'before_widget' => '',
		'after_widget' => "",
		'before_title' => '<h1 class="widget-title">',
		'after_title' => '</h1>',
	) );
	register_sidebar( array(
		'name' => 'archive banner 2',
		'id' => 'archive-2',
		'before_widget' => '',
		'after_widget' => "",
		'before_title' => '<h1 class="widget-title">',
		'after_title' => '</h1>',
	) );
	register_sidebar( array(
		'name' => 'archive banner 3',
		'id' => 'archive-3',
		'before_widget' => '',
		'after_widget' => "",
		'before_title' => '<h1 class="widget-title">',
		'after_title' => '</h1>',
	) );
	register_sidebar( array(
		'name' => 'archive banner 4',
		'id' => 'archive-4',
		'before_widget' => '',
		'after_widget' => "",
		'before_title' => '<h1 class="widget-title">',
		'after_title' => '</h1>',
	) );
	
}
add_action( 'init', 'rita_widgets_init' );

// toolbox's date formatting is too verbose for my taste
function toolbox_posted_on() {
	printf( '<time class="entry-date" datetime="%1$s" pubdate>%2$s</time>',
		esc_attr( get_the_date( 'c' ) ),
		esc_html( get_the_date() )
	);
}

// extending toolbox's nav function to add a link
// up to the chapter a comic is in 
function toolbox_content_nav( $nav_id ) {
	global $wp_query;

	?>
	<nav id="<?php echo $nav_id; ?>">
		<h1 class="assistive-text section-heading"><?php _e( 'Post navigation', 'toolbox' ); ?></h1>

	<?php if ( is_single() ) : // navigation links for single posts ?>

		<?php previous_post_link( '<div class="nav-previous">%link</div>', '<span class="meta-nav">' . _x( '&larr;', 'Previous post link', 'toolbox' ) . '</span> %title' ); ?>
		<?php if ( ceo_is_comic() ) : ?>
		<div class="nav-chapter"><?php rita_chapter_link(); ?></div>
		<?php endif ?>
		<?php next_post_link( '<div class="nav-next">%link</div>', '%title <span class="meta-nav">' . _x( '&rarr;', 'Next post link', 'toolbox' ) . '</span>' ); ?>

	<?php elseif ( $wp_query->max_num_pages > 1 && ( is_home() || is_archive() || is_search() ) ) : // navigation links for home, archive, and search pages ?>

		<?php if ( get_next_posts_link() ) : ?>
		<div class="nav-previous"><?php next_posts_link( __( '<span class="meta-nav">&larr;</span> Older posts', 'toolbox' ) ); ?></div>
		<?php endif; ?>

		<?php if ( get_previous_posts_link() ) : ?>
		<div class="nav-next"><?php previous_posts_link( __( 'Newer posts <span class="meta-nav">&rarr;</span>', 'toolbox' ) ); ?></div>
		<?php endif; ?>

	<?php endif; ?>

	</nav><!-- #<?php echo $nav_id; ?> -->
	<?php
}

// slightly futzing with the html of comments
function toolbox_comment( $comment, $args, $depth ) {
	$GLOBALS['comment'] = $comment;
	switch ( $comment->comment_type ) :
		case 'pingback' :
		case 'trackback' :
	?>
	<li class="post pingback">
		<p><?php _e( 'Pingback:', 'toolbox' ); ?> <?php comment_author_link(); ?><?php edit_comment_link( __( '(Edit)', 'toolbox' ), ' ' ); ?></p>
	<?php
			break;
		default :
	?>
	<li <?php comment_class(); ?> id="li-comment-<?php comment_ID(); ?>">
		<article id="comment-<?php comment_ID(); ?>" class="comment">
			<footer>
				<div class="comment-author vcard">
					<?php echo get_avatar( $comment, 40 ); ?>
					<div class="comment-meta commentmetadata">
						On <a href="<?php echo esc_url( get_comment_link( $comment->comment_ID ) ); ?>"><time pubdate datetime="<?php comment_time( 'c' ); ?>">
						<?php
							/* translators: 1: date, 2: time */
							printf( __( '%1$s at %2$s', 'toolbox' ), get_comment_date(), get_comment_time() ); ?>
						</time></a>
						<?php edit_comment_link( __( '(Edit)', 'toolbox' ), ' ' );
						?>
					</div><!-- .comment-meta .commentmetadata -->
					
					<?php printf( __( '%s <span class="says">says:</span>', 'toolbox' ), sprintf( '<cite class="fn">%s</cite>', get_comment_author_link() ) ); ?>
				</div><!-- .comment-author .vcard -->
				<?php if ( $comment->comment_approved == '0' ) : ?>
					<em><?php _e( 'Your comment is awaiting moderation.', 'toolbox' ); ?></em>
					<br />
				<?php endif; ?>
			</footer>

			<div class="comment-content"><?php comment_text(); ?></div>

			<div class="reply">
				<?php comment_reply_link( array_merge( $args, array( 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?>
			</div><!-- .reply -->
		</article><!-- #comment-## -->

	<?php
			break;
	endswitch;
}

// there is no home, only chapters
function redirect_homepage()
{
    if( is_front_page() ) {
        wp_redirect( home_url( '/chapter/01/' ) );
        exit();
    }
}
add_action( 'template_redirect', 'redirect_homepage' );

add_action('pre_get_posts', 'easel_query_change_archive_display_order');
  // Set the 'order' of the archive and search
function easel_query_change_archive_display_order($query) {	
	if (is_tax('chapters')) {
		if (defined (easel_themeinfo)) {
			$archive_display_order = easel_themeinfo('archive_display_order');
		}
		if (empty($archive_display_order)) $archive_display_order = 'ASC';
		$query->set('order', $archive_display_order);
		$query->set('posts_per_page', -1);
	}
}

// fuck around with the blogroll so we can have it be a popup menu on touch
function widget_links_args_filter($args) {
	$args['title_before'] = '<a class="blogroll-title">';
	$args['title_after'] = '</a>';
 	return $args;
}
add_filter('widget_links_args','widget_links_args_filter');

// we can do featured images!
add_theme_support ('post-thumbnails');


function rita_add_scripts() {
	if (is_tax('chapters') || true) {
		wp_enqueue_script(
			'smoothscroll',
			get_stylesheet_directory_uri() . '/js/jquery.smooth-scroll-min.js',
			array( 'jquery' ),
			'',
			true
		);
		
		// trying out a click-to-drag as an alternative way to appease scrollwheel fetishists
		// just routing scroll up/down to l/r makes scrolling suck for touchpad scrollers like me
		// seriously I don't see why just grabbing the scroll bar makes them hate my site instantly
		// but whatever, I haven't used a mouse in like ten years so what do I know.
		// 
		// nah, it really just Didn't Work. Fuck those folks.
		
		// wp_enqueue_script(
		// 	'dragscroll',
		// 	get_stylesheet_directory_uri() . '/js/dragscroll.js',
		// 	'',
		// 	'',
		// 	true
		// );

		// turns out having the size-page-to-screen script
		// makes more complaints than it solves
		// wp_enqueue_script(
		// 	'pagescale',
		// 	get_stylesheet_directory_uri() . '/js/jquery.viewport-min.js',
		// 	array( 'jquery' ),
		// 	'',
		// 	true
		// );
	}
}
add_action( 'wp_enqueue_scripts', 'rita_add_scripts', 1 );

function rita_chapter_link () {
	global $post;
	$theterms = get_the_terms( $post->ID, 'chapters');
	if (is_array($theterms)) {
		$the_term = reset($theterms);
		if (is_object($the_term)) {
			$term_link = get_term_link($the_term);
			$term_name = $the_term->name;
			echo "<a href='$term_link'>Return to chapter $term_name</a>";
		}
	}
}

function rita_get_previous_chapter() {
	$chapter = ceo_get_adjacent_chapter(true);
	if (is_object($chapter)) {
		return get_term_link($chapter);
	}
	return false;
}
function rita_get_prev_chapter() {
	return rita_get_previous_chapter();
}

function rita_get_next_chapter() {
	$chapter = ceo_get_adjacent_chapter(false);
	if (is_object($chapter)) {
		return get_term_link($chapter);
	}
	return false;
}

// Add Theme Customizer functionality.
require get_stylesheet_directory() . '/customizer.php';

// make theme check shut up
add_theme_support( 'automatic-feed-links' );
if (!isset ($content_width)) $content_width = 1024;

// never use the content-single template
// function no_more_single()
// {
//     if( is_singular() ) {
//         include ( get_template_directory() . '/content.php' );
//     }
// }
// add_action( "template_redirect", "no_more_single" ) ;

?>