<?php
/**
 * The template for displaying Chapter pages.
 *
 * Used to display archive-type pages if nothing more specific matches a query.
 * For example, puts together date-based pages if no date.php file exists.
 *
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package Toolbox
 * @since Toolbox 0.1
 */

get_header(); ?>

		<section id="primary">
			<div id="content" role="main">

			<?php //query_posts($query_string . '&order=ASC&posts_per_page=-1'); // proper order, ignore wp's 'reading' settings ?>
			<?php if ( have_posts() ) : ?>

				<?php rewind_posts(); ?>

				<?php toolbox_content_nav( 'nav-above' ); ?>
<article class="comic">
				<?php 
					the_post();
					$first_page_name = $post->post_name;
					rewind_posts();
					echo "<a href='#' id='prev-chapter'></a>";
					echo "<a href='#$first_page_name' class='ahead'>&gt;</a>";
				?>
				<div class="chapternav chapternav-prev"">
					<?php
						$prev_chapter = rita_get_prev_chapter();

						if ($prev_chapter) {
				 			echo '<a href="'.$prev_chapter.'" class="prev"></a>';
						} else {
							// echo '<div class="synopsis">A robot lady is dragged outside of reality by her ex-boyfriend.<br> She\'s got to pull herself together across four parallel worlds...<br>before a hive-mind takes over the planet.</div>';
							echo '<div class="raves"><q cite="'.get_theme_mod( 'bayeux_blurb_credit' ).'">&#8220;'.get_theme_mod( 'bayeux_blurb' ).'&#8221;</q></div>';
							echo "<span class='instructions'><i>scroll</i><a href='#$first_page_name' class='firstlink'>or click</a></span>";
						}
					?>
				</div>
			</article>
				
				<?php /* Start the Loop */ ?>
				<?php
					// cycle through the ads at random
					global $ad_counter;
					$ad_counter = rand(0,3);
					
					global $firstpage;
					$firstpage = true;
					
					while ( have_posts() ) : the_post();
					 	$ad_counter = ($ad_counter+1) % 4;?>

					<?php
						/* Include the Post-Format-specific template for the content.
						 * If you want to overload this in a child theme then include a file
						 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
						 */
						get_template_part( 'content', get_post_type() );
					?>

				<?php endwhile; ?>

				<div class="chapternav chapternav-next">
					<?php
						$last_page_name = $post->post_name;
						echo "<a href='#' id='next-chapter'></a>";
						echo "<a href='#$last_page_name' class='rewind'>&lt;</a>";
						
						$next_chapter = rita_get_next_chapter();
						if ($next_chapter) {
				 			echo '<a href="'.$next_chapter.'" class="next" id="next-chap"></a>';
						} else {
							echo '<i class="last">to be continued...</i>';
						}?>
				</div>
				<?php
					$terms = wp_get_object_terms( $post->ID, 'chapters');
					$thischapter = $terms[0]->menu_order;
					// politely ask for support every four chapters, and at the end
					// if ((($thischapter %4) == 0) ||
					if ((($thischapter % get_theme_mod( 'bayeux_chapter_end_frequency' )) == 0) ||
						(!$next_chapter)
						) {
							?>

				<div id="supportthecomic">
					<?php echo get_theme_mod( 'bayeux_chapter_end_copy' ); ?>
				</div>
							<?php
						}
				?>

			<?php else : ?>

				<article id="post-0" class="post no-results not-found">
					<header class="entry-header">
						<h1 class="entry-title"><?php _e( 'Nothing Found', 'toolbox' ); ?></h1>
					</header><!-- .entry-header -->

					<div class="entry-content">
						<p><?php _e( 'It seems we can&rsquo;t find what you&rsquo;re looking for. Perhaps searching can help.', 'toolbox' ); ?></p>
						<?php get_search_form(); ?>
					</div><!-- .entry-content -->
				</article><!-- #post-0 -->

			<?php endif; ?>

			</div><!-- #content -->
		</section><!-- #primary -->

<?php //get_sidebar(); ?>
<?php get_footer(); ?>